Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.logging
Class NullLogger

    java.lang.Object
      net.sourceforge.pebble.logging.AbstractLogger
          net.sourceforge.pebble.logging.NullLogger

    public class NullLogger

extends AbstractLogger

A no-op logger that can be used when Pebble logging isn't required, such as when something like Apache provides the necessary logging already.

Author:
  Simon Brown

Field Summary

Fields inherited from class net.sourceforge.pebble.logging.AbstractLogger
`blog`

Constructor Summary
`NullLogger(Blog blog)` Creates a new instance associated with the specified blog.

Method Summary
`Log` | `getLog(int year, int month, int day)` Gets the log for a given year, month and day.
`java.lang.String` | `getLogFile(int year, int month, int day)` Gets a copy of the log file for a given year, month and day.
`LogSummary` | `getLogSummary(int year, int month, int day)` Gets the log summary information for the given year, month and day.
`void` | `log(HttpServletRequest request, int status)` Logs a HTTP request.
`void` | `start()` Called to start this logger.
`void` | `stop()` Called to stop this logger.

Methods inherited from class net.sourceforge.pebble.logging.AbstractLogger
`getLog, getLog, getLogFile, getLogFile, getLogSummary, getLogSummary, getLogSummary`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullLogger

    public NullLogger(Blog blog)

  Creates a new instance associated with the specified blog.

  Parameters:
    `blog` - a Blog instance

Method Detail

### log

    public void log(HttpServletRequest request,
                    int status)

  Logs a HTTP request.

  Specified by:
    `log` in class `AbstractLogger`
  Parameters:
    `request` - a HttpServletRequest

### start

    public void start()

  Called to start this logger.

  Specified by:
    `start` in class `AbstractLogger`

### stop

    public void stop()

  Called to stop this logger.

  Specified by:
    `stop` in class `AbstractLogger`

### getLogFile

    public java.lang.String getLogFile(int year,
                                       int month,
                                       int day)

  Gets a copy of the log file for a given year, month and day.

  Specified by:
    `getLogFile` in class `AbstractLogger`
  Parameters:
    `year` - the year to get entries for
    `month` - the month to get entries for
    `day` - the day to get entries for
  Returns:
    a String containing the contents of the requested log file

### getLog

    public Log getLog(int year,
                      int month,
                      int day)

  Gets the log for a given year, month and day.

  Specified by:
    `getLog` in class `AbstractLogger`
  Parameters:
    `year` - the year to get entries for
    `month` - the month to get entries for
    `day` - the day to get entries for
  Returns:
    a Log object

### getLogSummary

    public LogSummary getLogSummary(int year,
                                    int month,
                                    int day)

  Gets the log summary information for the given year, month and day.

  Specified by:
    `getLogSummary` in class `AbstractLogger`
  Parameters:
    `year` - the year to get entries for
    `month` - the month to get entries for
    `day` - the day to get entries for
  Returns:
    a LogSummary object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.